Service status
GET/sandboxes/{id}/service
path parameters
object
idstringrequiredSandbox ID, e.g. sbx_ab12cd34.
Responses
200 OKOK
WireServiceStatus
last_exitWireExecResult
duration_msintegerint64errorstringexit_codeintegeroom_killedbooleansignalstringtimed_outbooleanusageWireResourceUsage
context_switches_involuntaryintegerint64cpu_sys_msintegerint64cpu_user_msintegerint64io_read_bytesintegerint64io_write_bytesintegerint64page_faults_majorintegerint64peak_memory_bytesintegerint64last_exit_at_unix_msintegerint64last_exit_requestedbooleanlive_peak_rss_bytesintegerint64live_rss_bytesintegerint64log_dropped_bytesintegerlog_first_seqintegerlog_next_seqintegerpidintegerrestartsintegerspecWireServiceSpec
cmdarray | null
items
string
cwdstringenvobject
additional properties
string
env_exactbooleanlog_buffer_bytesintegerrestartWireRestartPolicy
max_retriesintegerpolicystringstop_grace_sintegerstop_signalstringuserstringstarted_at_unix_msintegerint64statestringuptime_msintegerint64404 Not foundNot Found
ErrorResponse
errorstringAuthentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.Request
▍GET/sandboxes/{id}/service
curl '/sandboxes/{id}/service'const response = await fetch("/sandboxes/{id}/service", {
method: "GET",
});
const data = await response.json();import requests
response = requests.get(
"/sandboxes/{id}/service",
)
data = response.json()Response
200 OK
{
"last_exit": {
"duration_ms": 0,
"error": "string",
"exit_code": 0,
"oom_killed": false,
"signal": "string",
"timed_out": false,
"usage": {
"context_switches_involuntary": 0,
"cpu_sys_ms": 0,
"cpu_user_ms": 0,
"io_read_bytes": 0,
"io_write_bytes": 0,
"page_faults_major": 0,
"peak_memory_bytes": 0
}
},
"last_exit_at_unix_ms": 0,
"last_exit_requested": false,
"live_peak_rss_bytes": 0,
"live_rss_bytes": 0,
"log_dropped_bytes": 0,
"log_first_seq": 0,
"log_next_seq": 0,
"pid": 0,
"restarts": 0,
"spec": {
"cmd": [
"string"
],
"cwd": "string",
"env": {},
"env_exact": false,
"log_buffer_bytes": 0,
"restart": {
"max_retries": 0,
"policy": "string"
},
"stop_grace_s": 0,
"stop_signal": "string",
"user": "string"
},
"started_at_unix_ms": 0,
"state": "string",
"uptime_ms": 0
}